#include <stdio.h>
#include "esc.h"
#include "cui.h"

int
hdr(cui obj, int evt, int val, void *prm)
{
	cui_esc_loc(2, 2);
	printf("hdr: %s, %02x    ", cui_button_str_get(obj), val);
	fflush(stdout);

	if(val == 'q'){
		cui_quit();
		return TRUE;
	}
	return FALSE;
}

int
main()
{
	cui panel = cui_panel_new(NULL, 8, 4, 23, 7);
	cui btn1 = cui_button_new(panel, 5, 4, "OK");
	cui btn2 = cui_button_new(panel, 12, 4, "Cancel");

	cui_label_new(panel, 3, 2, "Are you sure ?");

	cui_bind(btn1, CUI_EVT_KEY, hdr, NULL);
	cui_bind(btn2, CUI_EVT_KEY, hdr, NULL);

	cui_main(panel);
	return 0;
}

/* EOF */
